export async function listen(port: number, handler: (conn: Deno.TcpConn) => Promise<unknown>) {
	console.log("Listening on port", port)
	for await (const connection of Deno.listen({ transport: "tcp", port })) {
		handler(connection).catch((except) => console.log("Session closed", except))
	}
}
